Bug 114370 - three compile time bugs
three compile time bugs
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtkhtml2 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 07:24 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-17 21:47:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cosmetic patch (1.62 KB, patch)
2004-01-31 21:58 EST, Bart Martens
no flags Details | Diff

  None (edit)
Description d.binderman 2004-01-27 07:24:44 EST
Description of problem:

I just tried to compile package gtkhtml2-2.4.0-1 from Redhat
Fedora Core 1.

The compiler said

1.


cssparser.c(576): remark #592: variable "term" is used before its
value is set

The source code is

                        css_value_list_append (list, term, list_sep);

Suggest make sure term is initialised before first use.

2.

htmlboxtext.c(725): warning #117: non-void function
"html_box_text_get_text" should return a value

The source code is

        g_return_if_fail (box != NULL);

Suggest add value to return statement.

3.

htmlboxblocktextaccessible.c(644): remark #592: variable "len" is used
before its value is sen

The source code is

       html_font_specification_get_all_attributes (font_spec, attrs,
0, len,
                                                    HTML_VIEW
(view)->magnification);

Suggest variable len is initialised before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bart Martens 2004-01-31 21:58:27 EST
Created attachment 97399 [details]
cosmetic patch
Comment 2 Dave Malcolm 2004-05-05 17:37:05 EDT
Reported upstream into GNOME Bugzilla:
http://bugzilla.gnome.org/show_bug.cgi?id=141962
Comment 3 Dave Malcolm 2004-05-17 21:47:55 EDT
Fixed upstream (Note the errror in the suggested patch for
html_box_text_get_text)

Note You need to log in before you can comment on or make changes to this bug.